## ros-indigo-summit-x-control 1.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_x_control)


find_package(catkin REQUIRED COMPONENTS 
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-summit-x-control (1.0.8-0trusty) trusty; urgency=high

  * 1.0.7
  * updated changelog
  * updated changelog
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Thu, 25 Aug 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.7-0trusty) trusty; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.6-0trusty) trusty; urgency=high



 -- Román Navarro <rnavarro@robotnik.es>  Mon, 18 Jul 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.5-0trusty) trusty; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Thu, 14 Jul 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.4-0trusty) trusty; urgency=high

  * modified dependencies
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.3-0trusty) trusty; urgency=high

  * modified CMakelists and package.xml
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.2-0trusty) trusty; urgency=high

  * changed package.xml in summit_x_control
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-summit-x-control (1.0.1-0trusty) trusty; urgency=high

  * creating summit_x_sim metapackage
  * Contributors: Jorge Arino

 -- Robotnik <info@robotnik.es>  Thu, 07 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-summit-x-control
Section: misc
Priority: extra
Maintainer: Román Navarro <rnavarro@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-robot-state-publisher, ros-indigo-ros-control, ros-indigo-ros-controllers, ros-indigo-summit-x-description, ros-indigo-summit-xl-pad
Homepage: https://github.com/RobotnikAutomation/summit_x_control
Standards-Version: 3.9.2

Package: ros-indigo-summit-x-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-robot-state-publisher, ros-indigo-ros-control, ros-indigo-ros-controllers, ros-indigo-summit-x-description, ros-indigo-summit-xl-pad
Description: This package contains the launch files that load the required controller interfaces for simulation in Gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-summit-x-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
